

category =  ::Itam::AssetCategory.find_by({:name => 'Software'})

[
  ['Custodian', 'STRING', false],
  ['Manufacturer', 'STRING', false],
  ['Version', 'FLOAT', false],
  ['Status', '[Proposed,Approved,Active,Phaseout,Obsolete]', false],
  ['Date Aquired', 'DATETIME', false],
  ['Purchase Price', 'EUR', false],
].each {|name, attribute_type, required| ::Itam::CustomAttributeProperties.create({:name => name, :attribute_type => attribute_type, :required => required, :asset_category => category})}

#------------------------------------------------------------------------------------------

category =  ::Itam::AssetCategory.find_by({:name => 'Equipment'})

[
  ['Business Unit', 'STRING', false],
  ['Department', 'STRING', false],
  ['Custodian', 'STRING', false],
  ['Location', 'STRING', false],
  ['Manufacturer', 'STRING', false],
  ['Model', 'STRING', false],
  ['Serial Number', 'STRING', false],
  ['Barcode Number', 'STRING', false],
  ['Software', 'STRING', false],
  ['Status', '[Proposed,Approved,Active,Phaseout,Obsolete]', false],
  ['Date Aquired', 'DATETIME', false],
  ['Date Sold', 'DATETIME', false],
  ['Purchase Price', 'GBP', false],
].each {|name, attribute_type, required| ::Itam::CustomAttributeProperties.create({:name => name, :attribute_type => attribute_type, :required => required, :asset_category => category})}

#------------------------------------------------------------------------------------------
