require 'rails'

module Itam
  class Engine < ::Rails::Engine
    isolate_namespace Itam

    #config.autoload_paths << File.expand_path("../validators", __FILE__)

    config.generators do |g|
      g.test_framework :rspec, :fixture => true, :views => false, :helper => true
      g.integration_tool :rspec, :fixture => true, :views => true
      g.fixture_replacement :factory_bot, :dir => 'spec/factories'
    end

  end
end
